<!DOCTYPE html>
<html lang="sv">

<head>
    <meta charset="utf-8">
    <title>Canvas intro</title>
    <link rel="stylesheet" href="">
    <style>
        #duk {
            border: 1px solid blue;
        }

    </style>
</head>

<body>
    <canvas id="duk"></canvas>
    <script>
        var c = document.getElementById("duk");
        c.width = 1000;
        c.height = 600;
        var ctx = c.getContext("2d");

        function paintMan(x, y) {

            // Måla huvudet
            ctx.beginPath();
            ctx.arc(x, y, 20, 0, 2 * Math.PI);
            ctx.lineWidth = 5;
            ctx.fillStyle = "#e68c8c";
            ctx.strokeStyle = "#f5ff01";
            ctx.fill();
            ctx.stroke();

            // Måla kroppen
            ctx.beginPath();
            ctx.fillStyle = "#8cc0e6";
            ctx.fillRect(x-10, y+18, 20, 80);

            // Måla armar
            ctx.strokeStyle = "#25916c";
            ctx.beginPath();
            ctx.moveTo(x+10, y+18);
            ctx.lineTo(x+20, y+48);
            ctx.stroke();
            ctx.beginPath();
            ctx.moveTo(x-10, y+18);
            ctx.lineTo(x-20, y+48);
            ctx.stroke();

            // Måla ben
            ctx.strokeStyle = "#3ef4b5";
            ctx.beginPath();
            ctx.moveTo(x+10, y+98);
            ctx.lineTo(x+20, y+138);
            ctx.stroke();
            ctx.beginPath();
            ctx.moveTo(x-10, y+98);
            ctx.lineTo(x-20, y+138);
            ctx.stroke();
        }

        var manX = 100, manY = 100;
        var speedX = 10, speedY = 5;
        function loop() {
            ctx.clearRect(0, 0, 1000, 600);
            paintMan(manX, manY);

            // Om gubbe når högerkanten vänd riktning
            if (manX > 1000)
                speedX = -speedX;

            // Om gubben passerar vänsterkanten vänd tillbaka
            if (manX < 0)
                speedX = -speedX;

            manX += speedX;

            // Om gubbe når högerkanten vänd riktning
            if (manY > 600)
                speedY = -speedY;

            // Om gubben passerar vänsterkanten vänd tillbaka
            if (manY < 0)
                speedY = -speedY;

            manY += speedY;
        }

        // Loopen som upprepas var 20mS
        window.setInterval(loop, 20);



    </script>
</body>

</html>
